LINUX.ORG.RU
ФорумAdmin

RH9, обновление glibc


0

0

пытаюсь обновить glibc на своей машине. Текущая версия 2.3.2-11.9, новая 2.3.2-27.9
rpm -Uhv glibc-common-2.3.2-27.9.i386.rpm glibc-2.3.2-27.9.i386.rpm
устанавливаются. Во время установки сообщение (что-то про INIT - не может запуститься чтоли, не запомнил). После этого в ответ почти на любую команду - Segmentation fault.
Перезагружаюсь.
Процесс загрузки доходит до монтирования root filesystem, монтирует, после этого:
INIT: version 2.84 booting
INIT: Entering runlevel: 5
INIT: Id "1" respawning too fast: disabled for 5 minutes
--||-- --||-- --||--
INIT: Id "6"  --||--
INIT: Id "x" respawning too fast: disabled for 5 minutes
INIT: no more processes left in this runlevel
Загрузка останавливается и больше ничего не происходит
Как победить? Если я криво обновляю, то как нужно?

Re: RH9, обновление glibc

Насколько я знаю, обновление glibc - это такой геморрой, что проще переустановить систему с нужным glibc. Установкой одного rpm ты не отделаешься.

anonymous ()

Re: RH9, обновление glibc

Молодой человек, не нужно 3.14здеть, если не знаете, ладно?

Ну во-первых, на сайте работает ПОИСК. И этот вопрос уже был... Он каждые две недели всплывает.

Это несложно.

Тупо обновляем следующие пакеты:

glibc-2.3.2-27.9.i386.rpm
glibc-utils-2.3.2-27.9.i386.rpm (а вы как думали, без утилит?)
glibc-common-2.3.2-27.9.i386.rpm (люблю, когда локали есть и таймзоны)
glibc-profile-2.3.2-27.9.i386.rpm (он вам нужен?)

Если вы планируете собирать проги:

glibc-devel-2.3.2-27.9.i386.rpm
glibc-kernelheaders-2.4-8.10.i386.rpm

Вообще, обычно умные люди делают сначала
rpm -qa | grep glibc, дабы посмотреть, какие пакеты из glibc у них установлены.

После этого, можете смело перегружаться.

Что касается вашей ошибки - это выделываются X. Судя по всему, вы сразу в них падаете.
Попробуйте в /etc/inittab для начала init поменять на 3. Чтобы по-нормальному попасть в текстовый режим.
Потом запустите свои иксы и посмотрите, все ли работает. Если нормально - меняете опять на 5 и дальше себе спокойно работаете.

jackill ★★★★★ ()

Re: RH9, обновление glibc

Как вы правильно заметили, именно так я и сделал:
> rpm -aq|grep glibc
glibc-common-2.3.2-11.9
glibc-2.3.2-11.9
glibc-devel-2.3.2-11.9
glibc-kernheaders-2.4-8.10

в /etc/inittab уже стоит тройка:
id:3:initdefault:

PS: а причем тут иксы? до загрузки иксов дело даже не доходит

gipsy ()

Re: RH9, обновление glibc

Ну вот, попробовал еще раз, вот результаты:
> rpm -aq|grep glibc
glibc-2.3.2-11.9.i386.rpm
glibc-common-2.3.2-11.9.i386.rpm
glibc-utils-2.3.2-11.9.i386.rpm
glibc-devel-2.3.2-11.9.i386.rpm

> rpm -Uhv glibc-2.3.2-27.9.i386.rpm glibc-common-2.3.2-27.9.i386.rpm glibc-utils-2.3.2-27.9.i386.rpm glibc-devel-2.3.2-27.9.i386.rpm
Подготовка....
  1: glibc-common ......
  2: glibc        ......
INIT: version 2.84 reloading
ошибка: %post(glibc-2.3.2-27.9) ошибка выполнения сценария, код возврата 121
  3: glibc-devel  ......
  4: glibc-utils  ......

А теперь попробуем :)

> ps axf
Segmentation fault
> reboot
Segmentation fault

Перезагружаюсь кнопкой, ну а дальше см.первое сообщение

gipsy ()

Re: RH9, обновление glibc

Не слушай ламера. Я ведь тебе сказал - геморрой это большой. К тому же потом придется многие проги пересобирать. Ты думал поставил пару rmp-ок и все? То что сказал ламер выше - был совет, как угробить твой linux.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.